# Generated by Django 5.0.7 on 2024-08-26 18:35

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('access', '0002_approlegroup'),
        ('normal_users', '0014_alter_application_authentication_and_more'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='TransferOwnershipRequest',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('accepted', models.BooleanField(default=False)),
                ('expiration_date', models.DateTimeField()),
                ('app', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='normal_users.application')),
                ('receiver', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'transfer_ownership_requests',
            },
        ),
    ]
